package com.ximai.mes.md.service.impl;

import java.util.List;
import com.ximai.common.utils.data.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ximai.mes.md.mapper.MdBrandVisitMapper;
import com.ximai.mes.md.domain.MdBrandVisit;
import com.ximai.mes.md.service.IMdBrandVisitService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author yinjinlu
 * @date 2024-01-16
 */
@Service
public class MdBrandVisitServiceImpl implements IMdBrandVisitService
{
    @Autowired
    private MdBrandVisitMapper mdBrandVisitMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param brandVisitId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public MdBrandVisit selectMdBrandVisitByBrandVisitId(Long brandVisitId)
    {
        return mdBrandVisitMapper.selectMdBrandVisitByBrandVisitId(brandVisitId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param mdBrandVisit 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<MdBrandVisit> selectMdBrandVisitList(MdBrandVisit mdBrandVisit)
    {
        return mdBrandVisitMapper.selectMdBrandVisitList(mdBrandVisit);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param mdBrandVisit 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertMdBrandVisit(MdBrandVisit mdBrandVisit)
    {
        mdBrandVisit.setCreateTime(DateUtils.getNowDate());
        return mdBrandVisitMapper.insertMdBrandVisit(mdBrandVisit);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param mdBrandVisit 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateMdBrandVisit(MdBrandVisit mdBrandVisit)
    {
        mdBrandVisit.setUpdateTime(DateUtils.getNowDate());
        return mdBrandVisitMapper.updateMdBrandVisit(mdBrandVisit);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param brandVisitIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMdBrandVisitByBrandVisitIds(Long[] brandVisitIds)
    {
        return mdBrandVisitMapper.deleteMdBrandVisitByBrandVisitIds(brandVisitIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param brandVisitId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMdBrandVisitByBrandVisitId(Long brandVisitId)
    {
        return mdBrandVisitMapper.deleteMdBrandVisitByBrandVisitId(brandVisitId);
    }
}
